public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-ml/sentencepiece/
@ 2025-03-19 18:58 Alfredo Tupone
  0 siblings, 0 replies; 3+ messages in thread
From: Alfredo Tupone @ 2025-03-19 18:58 UTC (permalink / raw
  To: gentoo-commits

commit:     fcea39b3c83fab1b8e5957957be3913a95136a44
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 19 17:54:10 2025 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Wed Mar 19 18:58:11 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcea39b3

sci-ml/sentencepiece: new package, add 0.2.0

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 sci-ml/sentencepiece/Manifest                   |  1 +
 sci-ml/sentencepiece/metadata.xml               | 11 +++++
 sci-ml/sentencepiece/sentencepiece-0.2.0.ebuild | 53 +++++++++++++++++++++++++
 3 files changed, 65 insertions(+)

diff --git a/sci-ml/sentencepiece/Manifest b/sci-ml/sentencepiece/Manifest
new file mode 100644
index 000000000000..c66a30ba660a
--- /dev/null
+++ b/sci-ml/sentencepiece/Manifest
@@ -0,0 +1 @@
+DIST sentencepiece-0.2.0.tar.gz 11980811 BLAKE2B adf28a66de3f6995d31c3b9be6a324614b95f20fe07ea33dd914bcd9d33d123dfee69f80ef7b2a70c3c23700534916caf57ac877e55e5c9d0d671d37372e0aed SHA512 b4214f5bfbe2a0757794c792e87e7c53fda7e65b2511b37fc757f280bf9287ba59b5d630801e17de6058f8292a3c6433211917324cb3446a212a51735402e614

diff --git a/sci-ml/sentencepiece/metadata.xml b/sci-ml/sentencepiece/metadata.xml
new file mode 100644
index 000000000000..c1ecc19d09a6
--- /dev/null
+++ b/sci-ml/sentencepiece/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>tupone@gentoo.org</email>
+		<name>Tupone Alfredo</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">google/sentencepiece</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/sci-ml/sentencepiece/sentencepiece-0.2.0.ebuild b/sci-ml/sentencepiece/sentencepiece-0.2.0.ebuild
new file mode 100644
index 000000000000..26729c7a47bb
--- /dev/null
+++ b/sci-ml/sentencepiece/sentencepiece-0.2.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Text tokenizer for Neural Network-based text generation"
+HOMEPAGE="https://github.com/google/sentencepiece"
+SRC_URI="https://github.com/google/${PN}/archive/refs/tags/v${PV}.tar.gz
+	-> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-cpp/abseil-cpp
+	dev-libs/protobuf
+	dev-util/google-perftools
+"
+DEPEND="${RDEPEND}
+	dev-libs/darts
+"
+
+DOCS=(
+	README.md
+	doc/api.md
+	doc/experiments.md
+	doc/normalization.md
+	doc/options.md
+	doc/special_symbols.md
+)
+
+src_prepare() {
+	sed -i \
+		-e "s:third_party/darts_clone/darts.h:darts.h:" \
+		src/model_interface.h \
+		src/normalizer.h \
+		src/normalizer.cc \
+		src/unigram_model.h \
+		src/builder.cc \
+		|| die
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DSPM_ABSL_PROVIDER=package
+		-DSPM_PROTOBUF_PROVIDER=package
+	)
+	cmake_src_configure
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-ml/sentencepiece/
@ 2025-03-23 10:40 Alfredo Tupone
  0 siblings, 0 replies; 3+ messages in thread
From: Alfredo Tupone @ 2025-03-23 10:40 UTC (permalink / raw
  To: gentoo-commits

commit:     6e91559734bbdc9bad614111a0e854e4ae1597b1
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 23 10:39:51 2025 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Mar 23 10:39:51 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e915597

sci-ml/sentencepiece: subslot deps on dev-libs/protobuf

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 .../{sentencepiece-0.2.0.ebuild => sentencepiece-0.2.0-r1.ebuild}       | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-ml/sentencepiece/sentencepiece-0.2.0.ebuild b/sci-ml/sentencepiece/sentencepiece-0.2.0-r1.ebuild
similarity index 97%
rename from sci-ml/sentencepiece/sentencepiece-0.2.0.ebuild
rename to sci-ml/sentencepiece/sentencepiece-0.2.0-r1.ebuild
index 70d70daf2bb2..478b86dc42bd 100644
--- a/sci-ml/sentencepiece/sentencepiece-0.2.0.ebuild
+++ b/sci-ml/sentencepiece/sentencepiece-0.2.0-r1.ebuild
@@ -16,7 +16,7 @@ KEYWORDS="~amd64"
 
 RDEPEND="
 	dev-cpp/abseil-cpp
-	dev-libs/protobuf
+	dev-libs/protobuf:=
 	dev-util/google-perftools
 "
 DEPEND="${RDEPEND}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-ml/sentencepiece/
@ 2025-04-07 20:56 Alfredo Tupone
  0 siblings, 0 replies; 3+ messages in thread
From: Alfredo Tupone @ 2025-04-07 20:56 UTC (permalink / raw
  To: gentoo-commits

commit:     600e75a53fe8186a2705473076d406a526a9b80a
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  7 20:56:20 2025 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Mon Apr  7 20:56:37 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=600e75a5

sci-ml/sentencepiece: fix RDEPS

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 .../{sentencepiece-0.2.0-r1.ebuild => sentencepiece-0.2.0-r2.ebuild}    | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-ml/sentencepiece/sentencepiece-0.2.0-r1.ebuild b/sci-ml/sentencepiece/sentencepiece-0.2.0-r2.ebuild
similarity index 97%
rename from sci-ml/sentencepiece/sentencepiece-0.2.0-r1.ebuild
rename to sci-ml/sentencepiece/sentencepiece-0.2.0-r2.ebuild
index 478b86dc42bd..f35cc636641c 100644
--- a/sci-ml/sentencepiece/sentencepiece-0.2.0-r1.ebuild
+++ b/sci-ml/sentencepiece/sentencepiece-0.2.0-r2.ebuild
@@ -15,7 +15,7 @@ SLOT="0"
 KEYWORDS="~amd64"
 
 RDEPEND="
-	dev-cpp/abseil-cpp
+	dev-cpp/abseil-cpp:=
 	dev-libs/protobuf:=
 	dev-util/google-perftools
 "


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2025-04-07 20:56 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-03-23 10:40 [gentoo-commits] repo/gentoo:master commit in: sci-ml/sentencepiece/ Alfredo Tupone
  -- strict thread matches above, loose matches on Subject: below --
2025-04-07 20:56 Alfredo Tupone
2025-03-19 18:58 Alfredo Tupone

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox